Description

I notice that a lot of people are posting about "stuttering", "freezing" and similar descriptions.

More experienced users come to know the possible reasons behind this with one of the main being that shaders are being compiled
in the background. New users, however, do not and that creates confusion and reactions as to why this emu "sucks", "isn't
optimized", etc.

| think that an indication that shaders are being compiled like in rpcs3 (which shows “compiling shaders...”) would be helpful.

People not even knowing what shader compiling/caching is will be made aware of the term and it will provide them with something to
search for on the 'net.

For people that do know about shader caching, it also helps to differentiate between shaders being a cause for slowdowns/stutter or
something else being the cause.

It could be an option that one can toggle on/off in the settings, with the default on new installations being set to on.

History

#1 - 04/08/2019 09:50 AM - XoRRoX

Sorry - has to be a Feature Request, not a Bug. When creating | chose "Feature Request" but didn't notice the option in the submit form itself.

#2 - 04/12/2019 05:01 PM - Exzap
- Tracker changed from Bug to Feature requests

- Status changed from New to Accepted

#3 - 05/31/2019 06:26 PM - Petergov

- Status changed from Accepted to Resolved

added in 1.15.8: after compiling shaders, Cemu will display a notification (if enabled)

04/23/2024 1/1



http://www.tcpdf.org

